org.jetlang.web

## Interface WebSocketConnection

All Superinterfaces:
  org.jetlang.core.Disposable, org.jetlang.core.DisposingExecutor, Executor, org.jetlang.core.Scheduler

All Known Implementing Classes:
  WebFiberConnection, WebSocketConnectionImpl

    public interface WebSocketConnection
    extends org.jetlang.core.Scheduler, org.jetlang.core.DisposingExecutor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Attempts to close the underlying socket.
`SocketAddress` `getRemoteAddress()`
`HttpRequest` `getRequest()`
`SendResult` `send(String msg)` Non-Blocking send of a text message.
`SendResult` `sendBinary(byte[] buffer, int offset, int length)` Non-Blocking send of a binary message.
`SendResult` `sendPing(byte[] bytes, int offset, int length)` Non-Blocking send
`SendResult` `sendPong(byte[] bytes, int offset, int length)` Non-Blocking send

### Methods inherited from interface org.jetlang.core.Scheduler

`schedule, scheduleAtFixedRate, scheduleWithFixedDelay`

### Methods inherited from interface org.jetlang.core.Disposable

`dispose`

### Methods inherited from interface org.jetlang.core.DisposingExecutor

`add, remove, size`

### Methods inherited from interface java.util.concurrent.Executor

`execute`

### Method Detail

#### getRequest

    HttpRequest getRequest()

#### getRemoteAddress

    SocketAddress getRemoteAddress()

Returns:
  the remote address or null if it can't be resolved.

#### send

    SendResult send(String msg)

Non-Blocking send of a text message.

#### sendPong

    SendResult sendPong(byte[] bytes,
                        int offset,
                        int length)

Non-Blocking send

#### sendPing

    SendResult sendPing(byte[] bytes,
                        int offset,
                        int length)

Non-Blocking send

#### sendBinary

    SendResult sendBinary(byte[] buffer,
                          int offset,
                          int length)

Non-Blocking send of a binary message.

#### close

    void close()

Attempts to close the underlying socket.